import { Loader } from "../Config";
export interface DirectoryLoaderOptions {
    dirPath: string;
    exclude?: RegExp;
}
/**
 * Directory reader.
 *
 * @constructor
 */
export declare class DirectoryLoader implements Loader {
    /**
     * Get the unique name of the loader.
     *
     * @returns {string}
     */
    getName(): string;
    /**
     * Load a directory, running the appropriate formatters.
     *
     * @param {String} dirPath
     * @param {RegExp}  [exclude]
     * @returns {*}
     */
    load(options: DirectoryLoaderOptions): Promise<any>;
}
