import { Loader } from "../Config";
export interface FileLoaderOptions {
    filePath: string;
}
/**
 * File reader.
 *
 * @constructor
 */
export declare class FileLoader implements Loader {
    /**
     * Get the unique name of the loader.
     *
     * @returns {string}
     */
    getName(): string;
    /**
     * Load a file, running the appropriate format based on the extension.
     *
     * @param {String} path
     * @return {Object}
     */
    load(options: FileLoaderOptions): Promise<any>;
}
